package com.ruoyi.system.user.service.impl;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.system.user.domain.UserQuery;
import com.ruoyi.system.user.service.UserService;
import com.ruoyi.system.user.service.UserValidator;

/**
 * @author wjh
 * 2024/11/22
 */
@Service
public class UserValidatorImpl implements UserValidator {

    @Autowired
    private UserService userService;

    @Override
    public void checkUserNoUnique(Long userId, String userNo) {
        if (StringUtils.isBlank(userNo)) {
            return;
        }
        UserQuery query = new UserQuery();
        query.setEqUserNo(userNo);
        query.setExcludeUserId(userId);
        int count = userService.selectCount(query);
        ServiceUtil.assertion(count > 0, "用户工号已存在");
    }
}
